Page MenuHomePhabricator

Add bridge app js via Resource Loader
Closed, ResolvedPublic3 Story Points

Description

acceptance criteria

  • the js for the app itself is loaded via resource loader (see also T226609) as soon as a valid link has been detected

resolved questions

  • at what stage/event do we want to load the js? (may be revisited later)
    • always
    • on valid link has been detected
    • hover over valid link
    • click on valid link

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterbridge: Rudimentary bridge app

Event Timeline

Michael created this task.Jun 25 2019, 10:52 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 25 2019, 10:52 AM
Michael renamed this task from Add app js via Resource Loader to Add bridge app js via Resource Loader.Jun 25 2019, 10:53 AM
Lucas_Werkmeister_WMDE set the point value for this task to 3.Jun 26 2019, 9:46 AM
Lucas_Werkmeister_WMDE removed Lucas_Werkmeister_WMDE as the assignee of this task.
Lucas_Werkmeister_WMDE moved this task from To do to Doing on the Wikidata-Bridge-Sprint-0 board.
Lucas_Werkmeister_WMDE moved this task from Doing to To do on the Wikidata-Bridge-Sprint-0 board.
Addshore moved this task from incoming to in progress on the Wikidata board.Jun 27 2019, 12:11 AM

Change 519231 had a related patch set uploaded (by Matthias Geisler; owner: Matthias Geisler):
[mediawiki/extensions/Wikibase@master] bridge: Rudimentary bridge app

https://gerrit.wikimedia.org/r/519231

Change 519231 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: Rudimentary bridge app

https://gerrit.wikimedia.org/r/519231

Pablo-WMDE closed this task as Resolved.Jul 3 2019, 9:26 AM